{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "pattern": [
    "AA",
    "BB"
  ],
  "key": {
    "A": "minecraft:mangrove_planks",
    "B": "stick"
  },
  "result": {
    "components": {
      "minecraft:item_model": "minecraft:mangrove_fence",
      "minecraft:item_name": {
        "text": "Mangrove Tanning Rack",
        "color": "white"
      },
      "minecraft:entity_data": {
        "Tags": [
                  "OverlyRealistic.Block.TanningRackMarker"
                ],
        "id": "minecraft:marker",
        "data": {
          "type": "mangrove",
          "IsCustomBlock": "tanning_rack"
        }
      },
      "minecraft:custom_data": {
        "IsCustomBlock": "tanning_rack"
      },
      "custom_model_data": {"strings":["overlyrealistic:mangrove_tanning_rack"]}
    },
    "count": 1,
    "id": "minecraft:chicken_spawn_egg"
  },
  "show_notification": true
}